using Prism.Events;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Txgy.EWS.Client.Common.MessageEvents;

namespace Txgy.EWS.Client.Start.Views
{
    /// <summary>
    /// LoginView.xaml 的交互逻辑
    /// </summary>
    public partial class LoginView : Window
    {
        public LoginView(IEventAggregator eventAggregator)
        {
            InitializeComponent();
            eventAggregator.GetEvent<CloseWindowEvent>().Subscribe(MessageReceived, ThreadOption.UIThread);
            this.MouseMove += (s, e) =>
             {
                 if (!(e.OriginalSource is TextBox) && !(e.OriginalSource is PasswordBox))
                 {

                     if (e.LeftButton == MouseButtonState.Pressed && tbLoadingMessage.Text == "已是最新版本")

                         this.DragMove();
                 }
             };
        }

        private void MessageReceived()
        {
            this.DialogResult = false;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }
    }
}
